Module java.base
Package java.nio.channels

# Class ClosedByInterruptException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.nio.channels.ClosedChannelException
java.nio.channels.AsynchronousCloseException
java.nio.channels.ClosedByInterruptException

All Implemented Interfaces:
  `Serializable`

public class ClosedByInterruptException extends AsynchronousCloseException
Checked exception received by a thread when another thread interrupts it while it is blocked in an I/O operation upon a channel. Before this exception is thrown the channel will have been closed and the interrupt status of the previously-blocked thread will have been set.

Since:
  1.4
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ClosedByInterruptException()`
Constructs an instance of this class.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ClosedByInterruptException

public ClosedByInterruptException()
Constructs an instance of this class.